package com.kiisoo.ic.activity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kiisoo.ic.activity.bean.PromotionSrcVO;
import com.kiisoo.ic.activity.entity.PmnPromotionSrc;
import com.kiisoo.ic.store.entity.PoiStoreStaff;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 活动推广的对应场景 例如一个活动，不同地区 活动形式分量不同 服务类
 * </p>
 *
 * @author zheng
 * @since 2020-05-19
 */
public interface IPmnPromotionSrcService extends IService<PmnPromotionSrc> {
    List<PromotionSrcVO> listUserCodes(Long userId) throws Exception;
    Map<String, Object> pageStoreCode(Long userId, Long instanceId, Integer pageNum, Integer pageSize) throws Exception;
    String saveCodeFile(String fileUrl, String code);
    PmnPromotionSrc createCode(PoiStoreStaff staff, Long instanceId);
}
